summaryrefslogtreecommitdiff
path: root/tools/ci/scripts/runtest.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-06-28 21:06:58 +0300
committerAndrei Karas <akaras@inbox.ru>2017-06-28 21:06:58 +0300
commite068dbfece05c173f96efbd8767492ed6d5f92a0 (patch)
tree8534c27ee00bc9abcce150c4acd253c9ad3bdbff /tools/ci/scripts/runtest.sh
parent2ce24da6704e12b9f76614202e58802cddcd9e37 (diff)
downloadplus-e068dbfece05c173f96efbd8767492ed6d5f92a0.tar.gz
plus-e068dbfece05c173f96efbd8767492ed6d5f92a0.tar.bz2
plus-e068dbfece05c173f96efbd8767492ed6d5f92a0.tar.xz
plus-e068dbfece05c173f96efbd8767492ed6d5f92a0.zip
Check for asserts in log in run tests.
Diffstat (limited to 'tools/ci/scripts/runtest.sh')
-rwxr-xr-xtools/ci/scripts/runtest.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/ci/scripts/runtest.sh b/tools/ci/scripts/runtest.sh
index 38b0456eb..b4df47da5 100755
--- a/tools/ci/scripts/runtest.sh
+++ b/tools/ci/scripts/runtest.sh
@@ -17,6 +17,14 @@ function check_is_run {
fi
}
+function check_assert {
+ grep "Assert:" "${HOME}/.local/share/mana/manaplus.log"
+ if [ "$?" == 0 ]; then
+ echo "Assert found in log"
+ exit 1
+ fi
+}
+
function wait_for_servers_list {
n=0
while true; do
@@ -47,6 +55,7 @@ function run {
sleep 20s
echo "pause after run"
wait_for_servers_list
+ check_assert
}
function kill_app {
@@ -84,6 +93,7 @@ function send_command {
echo -n "$1" | nc 127.0.0.1 44007
sleep 5s
check_is_run
+ check_assert
}
function check_exists {
@@ -242,5 +252,6 @@ sleep 5s
kill_app
final_log
+check_assert
exit 0